Subject: bug#44933: 27.1; Ephemeral frame selection shrinks minibuffer

From: martin rudalics <[email-masked]>
Date: Wed, 2 Dec 2020 08:52:49 +0100

> I forgot to say that _all_ normal mini window resizing goes through
 > 'window--resize-root-window-vertically' in window.el.  So it will
 > probably suffice to instrument just that function (in an already running
 > Emacs only, else you have to rebuild because window.el is preloaded) and
 > don't have to tinker with C code at all.

Imprecise again: The above covers only the automatic resizing triggered
by redisplay (which is what we are interested in).  Manual resizing the
minibuffer window is done in 'window--resize-mini-window' (also in
window.el) so if such manual resizing may happen in between you have to
instrument that as well.

martin